// MachPCBDrill, NC drill/routing program for Mach3
// Copyright (C) 201, Frank Tkalcevic, www.franksworkshop.com

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "stdafx.h"
#include "DrillSetup.h"


// CDrillSetupDlg dialog

IMPLEMENT_DYNAMIC(CDrillSetupDlg, CDialog)

    CDrillSetupDlg::CDrillSetupDlg(CWnd* pParent /*=NULL*/)
    : CDialog(CDrillSetupDlg::IDD, pParent)
    , m_sInitString(_T(""))
{
}

CDrillSetupDlg::~CDrillSetupDlg()
{
}

void CDrillSetupDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    DDX_Text(pDX, IDC_EDIT_INIT_STRING, m_sInitString);
}


BEGIN_MESSAGE_MAP(CDrillSetupDlg, CDialog)
END_MESSAGE_MAP()


// CDrillSetupDlg message handlers

void CDrillSetupDlg::SetInitString( CString str )
{
    m_sInitString = str;
    if ( m_hWnd != NULL )
	UpdateData(false);
}

CString CDrillSetupDlg::GetInitString()
{
    if ( m_hWnd != NULL )
	UpdateData(true);
    return m_sInitString;
}
