#pragma once

// MachPCBDrill, NC drill/routing program for Mach3
// Copyright (C) 201, Frank Tkalcevic, www.franksworkshop.com

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef __AFXWIN_H__
#error "include 'stdafx.h' before including this file for PCH"
#endif

#include "resource.h"		// main symbols


// CPCBDrillApp:
// See PCBDrill.cpp for the implementation of this class
//

class CPCBDrillDlg;
class CPCBDrillApp : public CWinApp
{
public:
    CPCBDrillApp();

    // Overrides
public:
    virtual BOOL InitInstance();

    // Implementation
    void LogMessage( LPCSTR sFormat, ... );
    DECLARE_MESSAGE_MAP()

    HACCEL m_hAccelTable;
    CPCBDrillDlg *m_pDlg;
    virtual BOOL ProcessMessageFilter(int code, LPMSG lpMsg);
};

extern CPCBDrillApp theApp;