#pragma once

// MachPCBDrill, NC drill/routing program for Mach3
// Copyright (C) 201, Frank Tkalcevic, www.franksworkshop.com

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.


class CXmlUtil
{
public:
    CXmlUtil(void);
    ~CXmlUtil(void);

    static CString GetAttributeString( MSXML2::IXMLDOMNodePtr pNode, LPCTSTR sName, LPCTSTR sDefault );
    static int GetAttributeInt( MSXML2::IXMLDOMNodePtr pNode, LPCTSTR sName, int nDefault );
    static double GetAttributeDouble( MSXML2::IXMLDOMNodePtr pNode, LPCTSTR sName, double dDefault );
    static bool GetAttributeBool( MSXML2::IXMLDOMNodePtr pNode, LPCTSTR sName, bool bDefault );

    static void AddAttribute( MSXML2::IXMLDOMElementPtr pElem, LPCTSTR sName, double dValue );
    static void AddAttribute( MSXML2::IXMLDOMElementPtr pElem, LPCTSTR sName, int nValue );
    static void AddAttribute( MSXML2::IXMLDOMElementPtr pElem, LPCTSTR sName, GUID &guid );
    static void AddAttribute( MSXML2::IXMLDOMElementPtr pElem, LPCTSTR sName, LPCTSTR sValue );
    static void AddAttributeBool( MSXML2::IXMLDOMElementPtr pElem, LPCTSTR sName, bool bValue );

    static void ReplaceNode( LPCTSTR sPath, MSXML2::IXMLDOMNodePtr pNode);

};
